#Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.  
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_ICT_Microdati_2017_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_ICT_A2017<- read.delim2 (fileInput,  header=T, sep="	",  quote="",  na.strings = ".")
attr(DF_ICT_A2017, "label") <- c(
"Codice progressivo",
"Classe di ricavi da vendita di beni e servizi",
"Utilizzo di computer nell'Impresa",
"Percentuale di addetti che usano il computer sul totale degli addetti",
"Impiego di addetti specialisti in materie informatiche",
"Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT",
"Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT",
"Ha assunto o ha provato ad assumere specialisti ICT",
"difficolta' a coprire i posti vacanti per specialisti ICT",
"Connessione ad Internet",
"Percentuale di addetti che usano computer connessi Internet sul totale degli addetti",
"Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax",
"Velocita' max download connessione fissa in banda larga",
"Velocita' connessione fissa sufficiente",
"Tipo di connessione: mobile in banda larga  (in banda larga: connessione che utilizza la rete telefonica mobile 3G o 4G )",
"Percentuale di addetti provvisti di dispositivi portatili forniti dallimpresa che permettono la connessione mobile ad Internet  (in banda larga o meno) sul totale degli addetti",
"Sito web",
"Possibilita' di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)",
"Tracciabilita' on line dell'ordine",
"Accesso a cataloghi di prodotti o listini prezzi",
"Possibilita' di personalizzare i contenuti del sito per i visitatori abituali",
"Possibilita' per i visitatori del sito di personalizzare o progettare prodotti",
"Annuncio di posti di lavoro vacanti o possibilita' di effettuare domande di impiego on line",
"Collegamenti o riferimenti ai profili dellimpresa sui social media",
"Utilizzo SM per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer)",
"Utilizzo SM per tipologia: blog o microblog dellimpresa (ad es. TWItter, Present.ly)",
"Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare)",
"Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze",
"Utilizzo SM per Sviluppare limmagine dellimpresa o dei suoi prodotti (ad es. per pubblicizzare prodotti)",
"Utilizzo SM per Raccogliere o rispondere a opinioni, recensioni e domande dei clienti",
"Utilizzo SM per Coinvolgere i clienti nello sviluppo o nellinnovazione di beni o servizi",
"Utilizzo SM per Collaborare con altre imprese partner (ad es. fornitori) o altre organizzazioni (ad es. Pubbliche Amministrazioni, altre organizzazioni non governative)",
"Utilizzo SM per Ricerca di personale",
"Utilizzo SM per Scambio di punti di vista, opinioni o conoscenze allinterno dellimpresa",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Informazioni insufficienti o poco chiare; mancanza di supporto",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Timori legati alla sicurezza o alla riservatezza dei dati",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazione dei redditi dell'impresa: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazione dei redditi dell'impresa: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazione dei redditi dell'impresa: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Dichiarazione dei redditi dell'impresa: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Dichiarazione dei redditi dell'impresa: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazione dei redditi dell'impresa: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazione dei redditi dell'impresa: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazione IVA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazione IVA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazione IVA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Dichiarazione IVA: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Dichiarazione IVA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazione IVA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazione IVA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure len",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Informazioni insufficienti o poco chiare; mancanza di supporto",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Timori legati alla sicurezza o alla riservatezza dei dati",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, ",
"Adempimenti e procedure in materia edilizia: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Adempimenti e procedure in materia edilizia: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Adempimenti e procedure in materia edilizia: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Adempimenti e procedure in materia edilizia: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Adempimenti e procedure in materia edilizia: Timori legati alla sicurezza o alla riservatezza dei dati",
"Adempimenti e procedure in materia edilizia: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Adempimenti e procedure in materia edilizia: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Utilizzo della fatturazione elettronica con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Utilizzo della fatturazione elettronica con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Utilizzo della fatturazione elettronica con la PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Utilizzo della fatturazione elettronica con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Utilizzo della fatturazione elettronica con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo della PEC per interagire con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Utilizzo della PEC per interagire con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Utilizzo della PEC per interagire con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
"Utilizzo della PEC per interagire con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto",
"Utilizzo della PEC per interagire con la PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Utilizzo della PEC per interagire con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Utilizzo della PEC per interagire con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo software ERP",
"Utilizzo software CRM analitico",
"Utilizzo software CRM operativo",
"Condivisione elettronica informazioni sulla SCM",
"Condivisione elettronica informazioni sulla SCM tramite web",
"Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard",
"Utilizzo RFID per dentificare persone o controllare gli accessi",
"Utilizzo RFID per monitorare e controllare la produzione industriale e il processo di consegna",
"Utilizzo RFID per identificare i prodotti dopo la fase della produzione",
"Ordini di vendita attraverso sito web",
"Percentuale degli ordini di vendita sito web rispetto al totale dei ricavi",
"Percentuale delle vendite web destinate a consumatori privati (B2C)",
"Percentuale delle vendite web destinate ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)",
"Vendite web: tramite siti web o app dellimpresa",
"Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app",
"Percentuale delle vendite web effettuate tramite siti web o app dellimpresa",
"Percentuale delle vendite web effettuate tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app",
"Area geografica del cliente web: Italia",
"Area geografica del cliente web: Paesi EU",
"Area geografica del cliente web: Resto del Mondo",
"Difficolta' legate agli alti costi di consegna o restituzione dei prodotti in caso di vendita via web verso altri Paesi dellUnione Europea",
"Difficolta' legate alla risoluzione dei reclami e delle controversie in caso di vendita via web verso altri Paesi dellUnione Europea",
"Difficolta' legate alla necessita' di adattare letichettatura dei prodotti per la vendita via web verso altri Paesi dellUnione Europea",
"Difficolta' legate alla mancanza di conoscenza delle lingue straniere per la comunicazione con i clienti di altri Paesi dell'Unione Europea",
"Difficolta' legate alle restrizioni imposte dai partner commerciali dellimpresa verso la possibilita' di vendere i propri prodotti in alcuni Paesi dell'Unione Europea",
"Ordini di vendita attraverso sistemi di tipo EDI",
"Percentuale degli ordini di vendita via EDI rispetto al totale dei ricavi",
"Area geografica del cliente Edi: Italia",
"Area geografica del cliente Edi: Paesi EU",
"Area geografica del cliente Edi: Resto del Mondo",
"Acquisti tramite reti informatiche (sito web, extranet, Edi)",
"Classe percentuale valore ordini di acquisto",
"Acquisti tramite web, app",
"Acquisti tramite scambi tipo Edi",
"Area geografica del fornitore: Italia",
"Area geografica del fornitore: Paesi EU",
"Area geografica del fornitore: Resto del Mondo",
"Acquisti nel triennio 2014-2016 in: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)",
"Acquisti nel triennio 2014-2016 in: Stampa 3D",
"Acquisti nel triennio 2014-2016 in: Robotica (robot collaborativi interconnessi e programmabili),",
"Acquisti nel triennio 2014-2016 in: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)",
"Acquisti nel triennio 2014-2016 in: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)",
"Acquisti nel triennio 2014-2016 in: Vendite online",
"Acquisti nel triennio 2014-2016 in: Social Media",
"Acquisti nel triennio 2014-2016 in: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)",
"Acquisti nel triennio 2014-2016 in: Realta' aumentata e realta' virtuale",
"Acquisti nel triennio 2014-2016 in: Sicurezza informatica",
"Impatto biennio 2017-2018 dell'area: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)",
"Impatto biennio 2017-2018 dell'area: Stampa 3D",
"Impatto biennio 2017-2018 dell'area: Robotica (robot collaborativi interconnessi e programmabili),",
"Impatto biennio 2017-2018 dell'area: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono                laccesso a software, potenza di calcolo, capacita' di ",
"Impatto biennio 2017-2018 dell'area: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)",
"Impatto biennio 2017-2018 dell'area: Vendite online",
"Impatto biennio 2017-2018 dell'area: Social Media",
"Impatto biennio 2017-2018 dell'area: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)",
"Impatto biennio 2017-2018 dell'area: Realta' aumentata e realta' virtuale",
"Impatto biennio 2017-2018 dell'area: Sicurezza informatica",
"Impatto biennio 2017-2018 dell'area: Altro",
"Nessun impatto nel biennio 2017-2018 delle aree tecnologiche",
"Non so",
"Fattori digitalizzazione 2017-2018: Infrastruttura e connessione in banda ultralarga",
"Fattori digitalizzazione 2017-2018: Agevolazioni, finanziamenti, incentivi fiscali a sostegno della digitalizzazione",
"Fattori digitalizzazione 2017-2018: Iniziative digitali della pubblica amministrazione",
"Fattori digitalizzazione 2017-2018: Capacita' di fare rete attuando modelli di collaborazione con altre imprese e centri di ricerca per la digitalizzazione",
"Fattori digitalizzazione 2017-2018: Inserimento/sviluppo di nuove competenze digitali",
"Fattori digitalizzazione 2017-2018: Sviluppo di una strategia di digitalizzazione dellimpresa",
"Fattori digitalizzazione 2017-2018: Altro",
"Nessun fattore di digitalizzazione puo' incidere",
"Non so",
"Ateco a due cifre, classificazione Ateco2007 (contiene missing)",
"Macrosettore",
"Classe addetti",
"21 reg amministrative (BZ=21; TN=22 )",
"Primo dominio di stima per la pubblicazione (per 27 attivita' economiche)",
"Secondo dominio di stima per la pubblicazione (mac per  clad4)",
"Terzo dominio di stima per la pubblicazione (mac per reg21)",
"Dominio relativo al settore ICT che comprende le seguenti attivita' economiche: 261+262+263+264+268+465+582+61+62+631+951",
"Peso da utilizzare per riporto all'universo (Asia 2013)",
"Valore percentuale degli ordini di vendita online")

ricavi_cl_Fact <- factor(DF_ICT_A2017$ricavi_cl, 
levels=c(0, 
20000, 
50000, 
100000, 
200000, 
500000, 
1000000, 
2000000, 
4000000, 
5000000, 
10000000, 
20000000, 
50000000, 
200000000), 
labels=c("[0, 20000)", 
"[20000, 50000)", 
"[50000, 100000)", 
"[100000, 200000)", 
"[200000, 500000)", 
"[500000, 1000000)", 
"[1000000, 2000000)", 
"[2000000, 4000000)", 
"[4000000, 5000000)", 
"[5000000, 10000000)", 
"[10000000, 20000000)", 
"[20000000, 50000000)", 
"[50000000, 200000000)", 
"almeno 200000000")) 


A1_Fact <- factor(DF_ICT_A2017$A1, 
levels=c(0, 
1), 
labels=c("no", 
"si")) 


B1_Fact <- factor(DF_ICT_A2017$B1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B2a_Fact <- factor(DF_ICT_A2017$B2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B2b_Fact <- factor(DF_ICT_A2017$B2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B3_Fact <- factor(DF_ICT_A2017$B3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B4_Fact <- factor(DF_ICT_A2017$B4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C1_Fact <- factor(DF_ICT_A2017$C1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C3_Fact <- factor(DF_ICT_A2017$C3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C4_Fact <- factor(DF_ICT_A2017$C4, 
levels=c(NA, 
1, 
2, 
3, 
4, 
5), 
labels=c("missing", 
"Inferiore a  2Mbit/s", 
"Compresa tra 2Mbit/s e meno di 10Mbit/s", 
"Compresa tra 10Mbit/s e meno di 30Mbit/s", 
"Compresa tra 30Mbit/s e meno di 100Mbit/s", 
"Maggiore o uguale a 100 Mbit/s"), exclude=NULL) 


C5_Fact <- factor(DF_ICT_A2017$C5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C6_Fact <- factor(DF_ICT_A2017$C6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8_Fact <- factor(DF_ICT_A2017$C8, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9a_Fact <- factor(DF_ICT_A2017$C9a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9b_Fact <- factor(DF_ICT_A2017$C9b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9c_Fact <- factor(DF_ICT_A2017$C9c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9d_Fact <- factor(DF_ICT_A2017$C9d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9e_Fact <- factor(DF_ICT_A2017$C9e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9f_Fact <- factor(DF_ICT_A2017$C9f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9g_Fact <- factor(DF_ICT_A2017$C9g, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10a_Fact <- factor(DF_ICT_A2017$C10a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10b_Fact <- factor(DF_ICT_A2017$C10b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10c_Fact <- factor(DF_ICT_A2017$C10c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10d_Fact <- factor(DF_ICT_A2017$C10d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11a_Fact <- factor(DF_ICT_A2017$C11a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11b_Fact <- factor(DF_ICT_A2017$C11b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11c_Fact <- factor(DF_ICT_A2017$C11c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11d_Fact <- factor(DF_ICT_A2017$C11d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11e_Fact <- factor(DF_ICT_A2017$C11e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C11f_Fact <- factor(DF_ICT_A2017$C11f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a1_Fact <- factor(DF_ICT_A2017$C12a1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a2_Fact <- factor(DF_ICT_A2017$C12a2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a3_Fact <- factor(DF_ICT_A2017$C12a3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a4_Fact <- factor(DF_ICT_A2017$C12a4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a5_Fact <- factor(DF_ICT_A2017$C12a5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a6_Fact <- factor(DF_ICT_A2017$C12a6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12a7_Fact <- factor(DF_ICT_A2017$C12a7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b1_Fact <- factor(DF_ICT_A2017$C12b1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b2_Fact <- factor(DF_ICT_A2017$C12b2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b3_Fact <- factor(DF_ICT_A2017$C12b3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b4_Fact <- factor(DF_ICT_A2017$C12b4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b5_Fact <- factor(DF_ICT_A2017$C12b5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b6_Fact <- factor(DF_ICT_A2017$C12b6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12b7_Fact <- factor(DF_ICT_A2017$C12b7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c1_Fact <- factor(DF_ICT_A2017$C12c1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c2_Fact <- factor(DF_ICT_A2017$C12c2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c3_Fact <- factor(DF_ICT_A2017$C12c3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c4_Fact <- factor(DF_ICT_A2017$C12c4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c5_Fact <- factor(DF_ICT_A2017$C12c5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c6_Fact <- factor(DF_ICT_A2017$C12c6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12c7_Fact <- factor(DF_ICT_A2017$C12c7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d1_Fact <- factor(DF_ICT_A2017$C12d1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d2_Fact <- factor(DF_ICT_A2017$C12d2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d3_Fact <- factor(DF_ICT_A2017$C12d3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d4_Fact <- factor(DF_ICT_A2017$C12d4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d5_Fact <- factor(DF_ICT_A2017$C12d5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d6_Fact <- factor(DF_ICT_A2017$C12d6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12d7_Fact <- factor(DF_ICT_A2017$C12d7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e1_Fact <- factor(DF_ICT_A2017$C12e1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e2_Fact <- factor(DF_ICT_A2017$C12e2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e3_Fact <- factor(DF_ICT_A2017$C12e3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e4_Fact <- factor(DF_ICT_A2017$C12e4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e5_Fact <- factor(DF_ICT_A2017$C12e5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e6_Fact <- factor(DF_ICT_A2017$C12e6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12e7_Fact <- factor(DF_ICT_A2017$C12e7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f1_Fact <- factor(DF_ICT_A2017$C12f1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f2_Fact <- factor(DF_ICT_A2017$C12f2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f3_Fact <- factor(DF_ICT_A2017$C12f3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f4_Fact <- factor(DF_ICT_A2017$C12f4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f5_Fact <- factor(DF_ICT_A2017$C12f5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f6_Fact <- factor(DF_ICT_A2017$C12f6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12f7_Fact <- factor(DF_ICT_A2017$C12f7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g1_Fact <- factor(DF_ICT_A2017$C12g1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g2_Fact <- factor(DF_ICT_A2017$C12g2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g3_Fact <- factor(DF_ICT_A2017$C12g3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g4_Fact <- factor(DF_ICT_A2017$C12g4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g5_Fact <- factor(DF_ICT_A2017$C12g5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g6_Fact <- factor(DF_ICT_A2017$C12g6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12g7_Fact <- factor(DF_ICT_A2017$C12g7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h1_Fact <- factor(DF_ICT_A2017$C12h1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h2_Fact <- factor(DF_ICT_A2017$C12h2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h3_Fact <- factor(DF_ICT_A2017$C12h3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h4_Fact <- factor(DF_ICT_A2017$C12h4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h5_Fact <- factor(DF_ICT_A2017$C12h5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h6_Fact <- factor(DF_ICT_A2017$C12h6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12h7_Fact <- factor(DF_ICT_A2017$C12h7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i1_Fact <- factor(DF_ICT_A2017$C12i1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i2_Fact <- factor(DF_ICT_A2017$C12i2, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i3_Fact <- factor(DF_ICT_A2017$C12i3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i4_Fact <- factor(DF_ICT_A2017$C12i4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i5_Fact <- factor(DF_ICT_A2017$C12i5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i6_Fact <- factor(DF_ICT_A2017$C12i6, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C12i7_Fact <- factor(DF_ICT_A2017$C12i7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D1_Fact <- factor(DF_ICT_A2017$D1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2a_Fact <- factor(DF_ICT_A2017$D2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D2b_Fact <- factor(DF_ICT_A2017$D2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E1_Fact <- factor(DF_ICT_A2017$E1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E2a_Fact <- factor(DF_ICT_A2017$E2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E2b_Fact <- factor(DF_ICT_A2017$E2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F1a_Fact <- factor(DF_ICT_A2017$F1a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F1b_Fact <- factor(DF_ICT_A2017$F1b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F1c_Fact <- factor(DF_ICT_A2017$F1c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G1_Fact <- factor(DF_ICT_A2017$G1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G4a_Fact <- factor(DF_ICT_A2017$G4a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G4b_Fact <- factor(DF_ICT_A2017$G4b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G6a_Fact <- factor(DF_ICT_A2017$G6a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G6b_Fact <- factor(DF_ICT_A2017$G6b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G6c_Fact <- factor(DF_ICT_A2017$G6c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G7a_Fact <- factor(DF_ICT_A2017$G7a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G7b_Fact <- factor(DF_ICT_A2017$G7b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G7c_Fact <- factor(DF_ICT_A2017$G7c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G7d_Fact <- factor(DF_ICT_A2017$G7d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G7e_Fact <- factor(DF_ICT_A2017$G7e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G8_Fact <- factor(DF_ICT_A2017$G8, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G10a_Fact <- factor(DF_ICT_A2017$G10a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G10b_Fact <- factor(DF_ICT_A2017$G10b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G10c_Fact <- factor(DF_ICT_A2017$G10c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G11_Fact <- factor(DF_ICT_A2017$G11, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G12_Fact <- factor(DF_ICT_A2017$G12, 
levels=c(NA, 
1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("missing", 
"Meno dell¿1%", 
"Tra l¿1% e meno del 5%", 
"Tra il 5% e meno di 10%", 
"Tra il 10% e meno di 25%", 
"Tra il 25% e meno di 50%", 
"Tra il 50% e meno di 75%", 
"Dal 75% al 100%"), exclude=NULL) 


G13a_Fact <- factor(DF_ICT_A2017$G13a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G13b_Fact <- factor(DF_ICT_A2017$G13b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G14a_Fact <- factor(DF_ICT_A2017$G14a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G14b_Fact <- factor(DF_ICT_A2017$G14b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G14c_Fact <- factor(DF_ICT_A2017$G14c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1a_Fact <- factor(DF_ICT_A2017$H1a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1b_Fact <- factor(DF_ICT_A2017$H1b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1c_Fact <- factor(DF_ICT_A2017$H1c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1d_Fact <- factor(DF_ICT_A2017$H1d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1e_Fact <- factor(DF_ICT_A2017$H1e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1f_Fact <- factor(DF_ICT_A2017$H1f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1g_Fact <- factor(DF_ICT_A2017$H1g, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1h_Fact <- factor(DF_ICT_A2017$H1h, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1i_Fact <- factor(DF_ICT_A2017$H1i, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H1j_Fact <- factor(DF_ICT_A2017$H1j, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


H2a_Fact <- factor(DF_ICT_A2017$H2a, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2b_Fact <- factor(DF_ICT_A2017$H2b, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2c_Fact <- factor(DF_ICT_A2017$H2c, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2d_Fact <- factor(DF_ICT_A2017$H2d, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2e_Fact <- factor(DF_ICT_A2017$H2e, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2f_Fact <- factor(DF_ICT_A2017$H2f, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2g_Fact <- factor(DF_ICT_A2017$H2g, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2h_Fact <- factor(DF_ICT_A2017$H2h, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2i_Fact <- factor(DF_ICT_A2017$H2i, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2j_Fact <- factor(DF_ICT_A2017$H2j, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2k_Fact <- factor(DF_ICT_A2017$H2k, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"si"), exclude=NULL) 


H2l_Fact <- factor(DF_ICT_A2017$H2l, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"Nessuna area tecnologica pu¿ avere impatto"), exclude=NULL) 


H2m_Fact <- factor(DF_ICT_A2017$H2m, 
levels=c(NA, 
1), 
labels=c("non scelta tra le cinque possibili", 
"Non so"), exclude=NULL) 


H3a_Fact <- factor(DF_ICT_A2017$H3a, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"si"), exclude=NULL) 


H3b_Fact <- factor(DF_ICT_A2017$H3b, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"si"), exclude=NULL) 


H3c_Fact <- factor(DF_ICT_A2017$H3c, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"si"), exclude=NULL) 


H3d_Fact <- factor(DF_ICT_A2017$H3d, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"si"), exclude=NULL) 


H3e_Fact <- factor(DF_ICT_A2017$H3e, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"si"), exclude=NULL) 


H3f_Fact <- factor(DF_ICT_A2017$H3f, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"si"), exclude=NULL) 


H3g_Fact <- factor(DF_ICT_A2017$H3g, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"si"), exclude=NULL) 


H3h_Fact <- factor(DF_ICT_A2017$H3h, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"Nessun fattore di digitalizzazione pu¿ incidere"), exclude=NULL) 


H3i_Fact <- factor(DF_ICT_A2017$H3i, 
levels=c(NA, 
1), 
labels=c("non scelto tra i tre possibili", 
"Non so"), exclude=NULL) 


mac_Fact <- factor(DF_ICT_A2017$mac, 
levels=c("M1", 
"M2", 
"M3", 
"M4"), 
labels=c("MACROSETTORE MANIFATTURIERO", 
"MACROSETTORE ENERGIA", 
"MACROSETTORE COSTRUZIONI", 
"MACROSETTORE SERVIZI (NON FINANZIARI)")) 


clad4_Fact <- factor(DF_ICT_A2017$clad4, 
levels=c("cl1", 
"cl2", 
"cl3", 
"cl4"), 
labels=c("10-49 addetti", 
"50-99 addetti", 
"100-249 addetti", 
"250 e pi¿ addetti")) 


reg__Fact <- factor(DF_ICT_A2017$reg_, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


dom1_Fact <- factor(DF_ICT_A2017$dom1, 
levels=c("N01", 
"N02", 
"N03", 
"N04", 
"N05", 
"N06", 
"N07", 
"N08", 
"N09", 
"N10", 
"N11", 
"N12", 
"N13", 
"N14", 
"N15", 
"N16", 
"N17", 
"N18", 
"N19", 
"N20", 
"N21", 
"N22", 
"N23", 
"N24", 
"N25", 
"N26", 
"N27"), 
labels=c("Dominio divisioni e gruppi Ateco 2007: 10+11+12", 
"Dominio divisioni e gruppi Ateco 2007: 13+14+15", 
"Dominio divisioni e gruppi Ateco 2007: 16+17+18", 
"Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23", 
"Dominio divisioni e gruppi Ateco 2007: 24+25", 
"Dominio divisioni e gruppi Ateco 2007: 26", 
"Dominio divisioni e gruppi Ateco 2007: 27+28", 
"Dominio divisioni e gruppi Ateco 2007: 29+30", 
"Dominio divisioni e gruppi Ateco 2007: 31+32+33", 
"Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39", 
"Dominio divisioni e gruppi Ateco 2007: 41+42+43", 
"Dominio divisioni e gruppi Ateco 2007: 45", 
"Dominio divisioni e gruppi Ateco 2007: 46", 
"Dominio divisioni e gruppi Ateco 2007: 47", 
"Dominio divisioni e gruppi Ateco 2007: 49+50+51+52", 
"Dominio divisioni e gruppi Ateco 2007: 53", 
"Dominio divisioni e gruppi Ateco 2007: 55", 
"Dominio divisioni e gruppi Ateco 2007: 56", 
"Dominio divisioni e gruppi Ateco 2007: 58", 
"Dominio divisioni e gruppi Ateco 2007: 59+60", 
"Dominio divisioni e gruppi Ateco 2007: 61", 
"Dominio divisioni e gruppi Ateco 2007: 62+63", 
"Dominio divisioni e gruppi Ateco 2007: 68", 
"Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74", 
"Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82", 
"Dominio divisioni e gruppi Ateco 2007: 79", 
"Dominio divisioni e gruppi Ateco 2007: 95.1")) 


dom4_Fact <- factor(DF_ICT_A2017$dom4, 
levels=c("NO_ICT", 
"SI_ICT"), 
labels=c("Non appartiene al Settore ICT", 
"Appartiene al settore ICT (Ateco 261, 262, 263, 264, 268, 465, 582, 61, 62, 631, 951)")) 

save.image (file="DF_ICT_A2017.RData")
