/* Declinazione di responsabilità. 
I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.                 */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_ICT_Microdati_2017_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.ICT_A2017;

INFILE "&path&nomeFile" DLM='09'x  LRECL=32767 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
codice_ :5.   /*  Codice progressivo */
ricavi_cl :9.   /*  Classe di ricavi da vendita di beni e servizi */
A1 :1.   /*  Utilizzo di computer nell'Impresa */
A2_ :6.2   /*  Percentuale di addetti che usano il computer sul totale degli addetti */
B1 :1.   /*  Impiego di addetti specialisti in materie informatiche */
B2a :1.   /*  Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT */
B2b :1.   /*  Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT */
B3 :1.   /*  Ha assunto o ha provato ad assumere specialisti ICT */
B4 :1.   /*  difficolta' a coprire i posti vacanti per specialisti ICT */
C1 :1.   /*  Connessione ad Internet */
C2_ :6.2   /*  Percentuale di addetti che usano computer connessi Internet sul totale degli addetti */
C3 :1.   /*  Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax */
C4 :1.   /*  Velocita' max download connessione fissa in banda larga */
C5 :1.   /*  Velocita' connessione fissa sufficiente */
C6 :1.   /*  Tipo di connessione: mobile in banda larga  (in banda larga: connessione che utilizza la rete telefonica mobile 3G o 4G ) */
C7_ :6.2   /*  Percentuale di addetti provvisti di dispositivi portatili forniti dallimpresa che permettono la connessione mobile ad Internet  (in banda larga o meno) sul totale degli addetti */
C8 :1.   /*  Sito web */
C9a :1.   /*  Possibilita' di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line) */
C9b :1.   /*  Tracciabilita' on line dell'ordine */
C9c :1.   /*  Accesso a cataloghi di prodotti o listini prezzi */
C9d :1.   /*  Possibilita' di personalizzare i contenuti del sito per i visitatori abituali */
C9e :1.   /*  Possibilita' per i visitatori del sito di personalizzare o progettare prodotti */
C9f :1.   /*  Annuncio di posti di lavoro vacanti o possibilita' di effettuare domande di impiego on line */
C9g :1.   /*  Collegamenti o riferimenti ai profili dellimpresa sui social media */
C10a :1.   /*  Utilizzo SM per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer) */
C10b :1.   /*  Utilizzo SM per tipologia: blog o microblog dellimpresa (ad es. TWItter, Present.ly) */
C10c :1.   /*  Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare) */
C10d :1.   /*  Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze */
C11a :1.   /*  Utilizzo SM per Sviluppare limmagine dellimpresa o dei suoi prodotti (ad es. per pubblicizzare prodotti) */
C11b :1.   /*  Utilizzo SM per Raccogliere o rispondere a opinioni, recensioni e domande dei clienti */
C11c :1.   /*  Utilizzo SM per Coinvolgere i clienti nello sviluppo o nellinnovazione di beni o servizi */
C11d :1.   /*  Utilizzo SM per Collaborare con altre imprese partner (ad es. fornitori) o altre organizzazioni (ad es. Pubbliche Amministrazioni, altre organizzazioni non governative) */
C11e :1.   /*  Utilizzo SM per Ricerca di personale */
C11f :1.   /*  Utilizzo SM per Scambio di punti di vista, opinioni o conoscenze allinterno dellimpresa */
C12a1 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12a2 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12a3 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12a4 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Informazioni insufficienti o poco chiare; mancanza di supporto */
C12a5 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Timori legati alla sicurezza o alla riservatezza dei dati */
C12a6 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12a7 :1.   /*  Adempimenti e procedure per il lavoro (INPS/INAIL): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12b1 :1.   /*  Dichiarazione dei redditi dell'impresa: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12b2 :1.   /*  Dichiarazione dei redditi dell'impresa: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12b3 :1.   /*  Dichiarazione dei redditi dell'impresa: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12b4 :1.   /*  Dichiarazione dei redditi dell'impresa: Informazioni insufficienti o poco chiare; mancanza di supporto */
C12b5 :1.   /*  Dichiarazione dei redditi dell'impresa: Timori legati alla sicurezza o alla riservatezza dei dati */
C12b6 :1.   /*  Dichiarazione dei redditi dell'impresa: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12b7 :1.   /*  Dichiarazione dei redditi dell'impresa: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12c1 :1.   /*  Dichiarazione IVA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12c2 :1.   /*  Dichiarazione IVA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12c3 :1.   /*  Dichiarazione IVA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12c4 :1.   /*  Dichiarazione IVA: Informazioni insufficienti o poco chiare; mancanza di supporto */
C12c5 :1.   /*  Dichiarazione IVA: Timori legati alla sicurezza o alla riservatezza dei dati */
C12c6 :1.   /*  Dichiarazione IVA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12c7 :1.   /*  Dichiarazione IVA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12d1 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12d2 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12d3 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure len */
C12d4 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Informazioni insufficienti o poco chiare; mancanza di supporto */
C12d5 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Timori legati alla sicurezza o alla riservatezza dei dati */
C12d6 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12d7 :1.   /*  Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF,  */
C12e1 :1.   /*  Adempimenti e procedure in materia edilizia: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12e2 :1.   /*  Adempimenti e procedure in materia edilizia: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12e3 :1.   /*  Adempimenti e procedure in materia edilizia: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12e4 :1.   /*  Adempimenti e procedure in materia edilizia: Informazioni insufficienti o poco chiare; mancanza di supporto */
C12e5 :1.   /*  Adempimenti e procedure in materia edilizia: Timori legati alla sicurezza o alla riservatezza dei dati */
C12e6 :1.   /*  Adempimenti e procedure in materia edilizia: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12e7 :1.   /*  Adempimenti e procedure in materia edilizia: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12f1 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12f2 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12f3 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12f4 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Informazioni insufficienti o poco chiare; mancanza di supporto */
C12f5 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Timori legati alla sicurezza o alla riservatezza dei dati */
C12f6 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12f7 :1.   /*  Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12g1 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12g2 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12g3 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12g4 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Informazioni insufficienti o poco chiare; mancanza di supporto */
C12g5 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Timori legati alla sicurezza o alla riservatezza dei dati */
C12g6 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12g7 :1.   /*  Partecipazioni a gare d'appalto e bandi on-line della PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12h1 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12h2 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12h3 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12h4 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto */
C12h5 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Timori legati alla sicurezza o alla riservatezza dei dati */
C12h6 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12h7 :1.   /*  Utilizzo della fatturazione elettronica con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
C12i1 :1.   /*  Utilizzo della PEC per interagire con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo */
C12i2 :1.   /*  Utilizzo della PEC per interagire con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei */
C12i3 :1.   /*  Utilizzo della PEC per interagire con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente) */
C12i4 :1.   /*  Utilizzo della PEC per interagire con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto */
C12i5 :1.   /*  Utilizzo della PEC per interagire con la PA: Timori legati alla sicurezza o alla riservatezza dei dati */
C12i6 :1.   /*  Utilizzo della PEC per interagire con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA */
C12i7 :1.   /*  Utilizzo della PEC per interagire con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.) */
D1 :1.   /*  Utilizzo software ERP */
D2a :1.   /*  Utilizzo software CRM analitico */
D2b :1.   /*  Utilizzo software CRM operativo */
E1 :1.   /*  Condivisione elettronica informazioni sulla SCM */
E2a :1.   /*  Condivisione elettronica informazioni sulla SCM tramite web */
E2b :1.   /*  Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard */
F1a :1.   /*  Utilizzo RFID per dentificare persone o controllare gli accessi */
F1b :1.   /*  Utilizzo RFID per monitorare e controllare la produzione industriale e il processo di consegna */
F1c :1.   /*  Utilizzo RFID per identificare i prodotti dopo la fase della produzione */
G1 :1.   /*  Ordini di vendita attraverso sito web */
G2_ :7.3   /*  Percentuale degli ordini di vendita sito web rispetto al totale dei ricavi */
G3a :3.   /*  Percentuale delle vendite web destinate a consumatori privati (B2C) */
G3b :3.   /*  Percentuale delle vendite web destinate ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G) */
G4a :3.   /*  Vendite web: tramite siti web o app dellimpresa */
G4b :3.   /*  Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app */
G5a :3.   /*  Percentuale delle vendite web effettuate tramite siti web o app dellimpresa */
G5b :3.   /*  Percentuale delle vendite web effettuate tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app */
G6a :1.   /*  Area geografica del cliente web: Italia */
G6b :1.   /*  Area geografica del cliente web: Paesi EU */
G6c :1.   /*  Area geografica del cliente web: Resto del Mondo */
G7a :1.   /*  Difficolta' legate agli alti costi di consegna o restituzione dei prodotti in caso di vendita via web verso altri Paesi dellUnione Europea */
G7b :1.   /*  Difficolta' legate alla risoluzione dei reclami e delle controversie in caso di vendita via web verso altri Paesi dellUnione Europea */
G7c :1.   /*  Difficolta' legate alla necessita' di adattare letichettatura dei prodotti per la vendita via web verso altri Paesi dellUnione Europea */
G7d :1.   /*  Difficolta' legate alla mancanza di conoscenza delle lingue straniere per la comunicazione con i clienti di altri Paesi dell'Unione Europea */
G7e :1.   /*  Difficolta' legate alle restrizioni imposte dai partner commerciali dellimpresa verso la possibilita' di vendere i propri prodotti in alcuni Paesi dell'Unione Europea */
G8 :1.   /*  Ordini di vendita attraverso sistemi di tipo EDI */
G9_ :7.3   /*  Percentuale degli ordini di vendita via EDI rispetto al totale dei ricavi */
G10a :1.   /*  Area geografica del cliente Edi: Italia */
G10b :1.   /*  Area geografica del cliente Edi: Paesi EU */
G10c :1.   /*  Area geografica del cliente Edi: Resto del Mondo */
G11 :1.   /*  Acquisti tramite reti informatiche (sito web, extranet, Edi) */
G12 :1.   /*  Classe percentuale valore ordini di acquisto */
G13a :1.   /*  Acquisti tramite web, app */
G13b :1.   /*  Acquisti tramite scambi tipo Edi */
G14a :1.   /*  Area geografica del fornitore: Italia */
G14b :1.   /*  Area geografica del fornitore: Paesi EU */
G14c :1.   /*  Area geografica del fornitore: Resto del Mondo */
H1a :1.   /*  Acquisti nel triennio 2014-2016 in: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi) */
H1b :1.   /*  Acquisti nel triennio 2014-2016 in: Stampa 3D */
H1c :1.   /*  Acquisti nel triennio 2014-2016 in: Robotica (robot collaborativi interconnessi e programmabili), */
H1d :1.   /*  Acquisti nel triennio 2014-2016 in: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.) */
H1e :1.   /*  Acquisti nel triennio 2014-2016 in: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali) */
H1f :1.   /*  Acquisti nel triennio 2014-2016 in: Vendite online */
H1g :1.   /*  Acquisti nel triennio 2014-2016 in: Social Media */
H1h :1.   /*  Acquisti nel triennio 2014-2016 in: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati) */
H1i :1.   /*  Acquisti nel triennio 2014-2016 in: Realta' aumentata e realta' virtuale */
H1j :1.   /*  Acquisti nel triennio 2014-2016 in: Sicurezza informatica */
H2a :1.   /*  Impatto biennio 2017-2018 dell'area: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi) */
H2b :1.   /*  Impatto biennio 2017-2018 dell'area: Stampa 3D */
H2c :1.   /*  Impatto biennio 2017-2018 dell'area: Robotica (robot collaborativi interconnessi e programmabili), */
H2d :1.   /*  Impatto biennio 2017-2018 dell'area: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono                laccesso a software, potenza di calcolo, capacita' di  */
H2e :1.   /*  Impatto biennio 2017-2018 dell'area: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali) */
H2f :1.   /*  Impatto biennio 2017-2018 dell'area: Vendite online */
H2g :1.   /*  Impatto biennio 2017-2018 dell'area: Social Media */
H2h :1.   /*  Impatto biennio 2017-2018 dell'area: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati) */
H2i :1.   /*  Impatto biennio 2017-2018 dell'area: Realta' aumentata e realta' virtuale */
H2j :1.   /*  Impatto biennio 2017-2018 dell'area: Sicurezza informatica */
H2k :1.   /*  Impatto biennio 2017-2018 dell'area: Altro */
H2l :1.   /*  Nessun impatto nel biennio 2017-2018 delle aree tecnologiche */
H2m :1.   /*  Non so */
H3a :1.   /*  Fattori digitalizzazione 2017-2018: Infrastruttura e connessione in banda ultralarga */
H3b :1.   /*  Fattori digitalizzazione 2017-2018: Agevolazioni, finanziamenti, incentivi fiscali a sostegno della digitalizzazione */
H3c :1.   /*  Fattori digitalizzazione 2017-2018: Iniziative digitali della pubblica amministrazione */
H3d :1.   /*  Fattori digitalizzazione 2017-2018: Capacita' di fare rete attuando modelli di collaborazione con altre imprese e centri di ricerca per la digitalizzazione */
H3e :1.   /*  Fattori digitalizzazione 2017-2018: Inserimento/sviluppo di nuove competenze digitali */
H3f :1.   /*  Fattori digitalizzazione 2017-2018: Sviluppo di una strategia di digitalizzazione dellimpresa */
H3g :1.   /*  Fattori digitalizzazione 2017-2018: Altro */
H3h :1.   /*  Nessun fattore di digitalizzazione puo' incidere */
H3i :1.   /*  Non so */
Ateco_2 : $2.   /*  Ateco a due cifre, classificazione Ateco2007 (contiene missing) */
mac : $2.   /*  Macrosettore */
clad4 : $3.   /*  Classe addetti */
reg_ : $2.   /*  21 reg amministrative (BZ=21; TN=22 ) */
dom1 : $3.   /*  Primo dominio di stima per la pubblicazione (per 27 attivita' economiche) */
dom2 : $5.   /*  Secondo dominio di stima per la pubblicazione (mac per  clad4) */
dom3_ : $4.   /*  Terzo dominio di stima per la pubblicazione (mac per reg21) */
dom4 : $6.   /*  Dominio relativo al settore ICT che comprende le seguenti attivita' economiche: 261+262+263+264+268+465+582+61+62+631+951 */
coeffin :12.8   /*  Peso da utilizzare per riporto all'universo (Asia 2013) */
G2G9_ :7.3   /*  Valore percentuale degli ordini di vendita online */
;
LABEL 
codice_ = "Codice progressivo"
ricavi_cl = "Classe di ricavi da vendita di beni e servizi"
A1 = "Utilizzo di computer nell'Impresa"
A2_ = "Percentuale di addetti che usano il computer sul totale degli addetti"
B1 = "Impiego di addetti specialisti in materie informatiche"
B2a = "Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT"
B2b = "Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT"
B3 = "Ha assunto o ha provato ad assumere specialisti ICT"
B4 = "difficolta' a coprire i posti vacanti per specialisti ICT"
C1 = "Connessione ad Internet"
C2_ = "Percentuale di addetti che usano computer connessi Internet sul totale degli addetti"
C3 = "Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax"
C4 = "Velocita' max download connessione fissa in banda larga"
C5 = "Velocita' connessione fissa sufficiente"
C6 = "Tipo di connessione: mobile in banda larga  (in banda larga: connessione che utilizza la rete telefonica mobile 3G o 4G )"
C7_ = "Percentuale di addetti provvisti di dispositivi portatili forniti dallimpresa che permettono la connessione mobile ad Internet  (in banda larga o meno) sul totale degli addetti"
C8 = "Sito web"
C9a = "Possibilita' di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)"
C9b = "Tracciabilita' on line dell'ordine"
C9c = "Accesso a cataloghi di prodotti o listini prezzi"
C9d = "Possibilita' di personalizzare i contenuti del sito per i visitatori abituali"
C9e = "Possibilita' per i visitatori del sito di personalizzare o progettare prodotti"
C9f = "Annuncio di posti di lavoro vacanti o possibilita' di effettuare domande di impiego on line"
C9g = "Collegamenti o riferimenti ai profili dellimpresa sui social media"
C10a = "Utilizzo SM per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer)"
C10b = "Utilizzo SM per tipologia: blog o microblog dellimpresa (ad es. TWItter, Present.ly)"
C10c = "Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare)"
C10d = "Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze"
C11a = "Utilizzo SM per Sviluppare limmagine dellimpresa o dei suoi prodotti (ad es. per pubblicizzare prodotti)"
C11b = "Utilizzo SM per Raccogliere o rispondere a opinioni, recensioni e domande dei clienti"
C11c = "Utilizzo SM per Coinvolgere i clienti nello sviluppo o nellinnovazione di beni o servizi"
C11d = "Utilizzo SM per Collaborare con altre imprese partner (ad es. fornitori) o altre organizzazioni (ad es. Pubbliche Amministrazioni, altre organizzazioni non governative)"
C11e = "Utilizzo SM per Ricerca di personale"
C11f = "Utilizzo SM per Scambio di punti di vista, opinioni o conoscenze allinterno dellimpresa"
C12a1 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12a2 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12a3 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12a4 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Informazioni insufficienti o poco chiare; mancanza di supporto"
C12a5 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Timori legati alla sicurezza o alla riservatezza dei dati"
C12a6 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12a7 = "Adempimenti e procedure per il lavoro (INPS/INAIL): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12b1 = "Dichiarazione dei redditi dell'impresa: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12b2 = "Dichiarazione dei redditi dell'impresa: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12b3 = "Dichiarazione dei redditi dell'impresa: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12b4 = "Dichiarazione dei redditi dell'impresa: Informazioni insufficienti o poco chiare; mancanza di supporto"
C12b5 = "Dichiarazione dei redditi dell'impresa: Timori legati alla sicurezza o alla riservatezza dei dati"
C12b6 = "Dichiarazione dei redditi dell'impresa: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12b7 = "Dichiarazione dei redditi dell'impresa: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12c1 = "Dichiarazione IVA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12c2 = "Dichiarazione IVA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12c3 = "Dichiarazione IVA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12c4 = "Dichiarazione IVA: Informazioni insufficienti o poco chiare; mancanza di supporto"
C12c5 = "Dichiarazione IVA: Timori legati alla sicurezza o alla riservatezza dei dati"
C12c6 = "Dichiarazione IVA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12c7 = "Dichiarazione IVA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12d1 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12d2 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12d3 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure len"
C12d4 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Informazioni insufficienti o poco chiare; mancanza di supporto"
C12d5 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Timori legati alla sicurezza o alla riservatezza dei dati"
C12d6 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12d7 = "Sportello Unico per le attivita' Produttive (permessi di costruire, dichiarazione di inizio attivita', ecc): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, "
C12e1 = "Adempimenti e procedure in materia edilizia: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12e2 = "Adempimenti e procedure in materia edilizia: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12e3 = "Adempimenti e procedure in materia edilizia: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12e4 = "Adempimenti e procedure in materia edilizia: Informazioni insufficienti o poco chiare; mancanza di supporto"
C12e5 = "Adempimenti e procedure in materia edilizia: Timori legati alla sicurezza o alla riservatezza dei dati"
C12e6 = "Adempimenti e procedure in materia edilizia: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12e7 = "Adempimenti e procedure in materia edilizia: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12f1 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12f2 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12f3 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12f4 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Informazioni insufficienti o poco chiare; mancanza di supporto"
C12f5 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Timori legati alla sicurezza o alla riservatezza dei dati"
C12f6 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12f7 = "Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12g1 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12g2 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12g3 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12g4 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Informazioni insufficienti o poco chiare; mancanza di supporto"
C12g5 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Timori legati alla sicurezza o alla riservatezza dei dati"
C12g6 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12g7 = "Partecipazioni a gare d'appalto e bandi on-line della PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12h1 = "Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12h2 = "Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12h3 = "Utilizzo della fatturazione elettronica con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12h4 = "Utilizzo della fatturazione elettronica con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto"
C12h5 = "Utilizzo della fatturazione elettronica con la PA: Timori legati alla sicurezza o alla riservatezza dei dati"
C12h6 = "Utilizzo della fatturazione elettronica con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12h7 = "Utilizzo della fatturazione elettronica con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
C12i1 = "Utilizzo della PEC per interagire con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo"
C12i2 = "Utilizzo della PEC per interagire con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei"
C12i3 = "Utilizzo della PEC per interagire con la PA: Difficolta' tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)"
C12i4 = "Utilizzo della PEC per interagire con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto"
C12i5 = "Utilizzo della PEC per interagire con la PA: Timori legati alla sicurezza o alla riservatezza dei dati"
C12i6 = "Utilizzo della PEC per interagire con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA"
C12i7 = "Utilizzo della PEC per interagire con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)"
D1 = "Utilizzo software ERP"
D2a = "Utilizzo software CRM analitico"
D2b = "Utilizzo software CRM operativo"
E1 = "Condivisione elettronica informazioni sulla SCM"
E2a = "Condivisione elettronica informazioni sulla SCM tramite web"
E2b = "Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard"
F1a = "Utilizzo RFID per dentificare persone o controllare gli accessi"
F1b = "Utilizzo RFID per monitorare e controllare la produzione industriale e il processo di consegna"
F1c = "Utilizzo RFID per identificare i prodotti dopo la fase della produzione"
G1 = "Ordini di vendita attraverso sito web"
G2_ = "Percentuale degli ordini di vendita sito web rispetto al totale dei ricavi"
G3a = "Percentuale delle vendite web destinate a consumatori privati (B2C)"
G3b = "Percentuale delle vendite web destinate ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)"
G4a = "Vendite web: tramite siti web o app dellimpresa"
G4b = "Vendite web: tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app"
G5a = "Percentuale delle vendite web effettuate tramite siti web o app dellimpresa"
G5b = "Percentuale delle vendite web effettuate tramite siti web di intermediari ovvero siti di ecommerce (marketplace) o app"
G6a = "Area geografica del cliente web: Italia"
G6b = "Area geografica del cliente web: Paesi EU"
G6c = "Area geografica del cliente web: Resto del Mondo"
G7a = "Difficolta' legate agli alti costi di consegna o restituzione dei prodotti in caso di vendita via web verso altri Paesi dellUnione Europea"
G7b = "Difficolta' legate alla risoluzione dei reclami e delle controversie in caso di vendita via web verso altri Paesi dellUnione Europea"
G7c = "Difficolta' legate alla necessita' di adattare letichettatura dei prodotti per la vendita via web verso altri Paesi dellUnione Europea"
G7d = "Difficolta' legate alla mancanza di conoscenza delle lingue straniere per la comunicazione con i clienti di altri Paesi dell'Unione Europea"
G7e = "Difficolta' legate alle restrizioni imposte dai partner commerciali dellimpresa verso la possibilita' di vendere i propri prodotti in alcuni Paesi dell'Unione Europea"
G8 = "Ordini di vendita attraverso sistemi di tipo EDI"
G9_ = "Percentuale degli ordini di vendita via EDI rispetto al totale dei ricavi"
G10a = "Area geografica del cliente Edi: Italia"
G10b = "Area geografica del cliente Edi: Paesi EU"
G10c = "Area geografica del cliente Edi: Resto del Mondo"
G11 = "Acquisti tramite reti informatiche (sito web, extranet, Edi)"
G12 = "Classe percentuale valore ordini di acquisto"
G13a = "Acquisti tramite web, app"
G13b = "Acquisti tramite scambi tipo Edi"
G14a = "Area geografica del fornitore: Italia"
G14b = "Area geografica del fornitore: Paesi EU"
G14c = "Area geografica del fornitore: Resto del Mondo"
H1a = "Acquisti nel triennio 2014-2016 in: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)"
H1b = "Acquisti nel triennio 2014-2016 in: Stampa 3D"
H1c = "Acquisti nel triennio 2014-2016 in: Robotica (robot collaborativi interconnessi e programmabili),"
H1d = "Acquisti nel triennio 2014-2016 in: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono laccesso a software, potenza di calcolo, capacita' di memoria, ecc.)"
H1e = "Acquisti nel triennio 2014-2016 in: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)"
H1f = "Acquisti nel triennio 2014-2016 in: Vendite online"
H1g = "Acquisti nel triennio 2014-2016 in: Social Media"
H1h = "Acquisti nel triennio 2014-2016 in: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)"
H1i = "Acquisti nel triennio 2014-2016 in: Realta' aumentata e realta' virtuale"
H1j = "Acquisti nel triennio 2014-2016 in: Sicurezza informatica"
H2a = "Impatto biennio 2017-2018 dell'area: Soluzioni di Internet delle cose o IoT (ad es. Rfid, sensori, oggetti connessi)"
H2b = "Impatto biennio 2017-2018 dell'area: Stampa 3D"
H2c = "Impatto biennio 2017-2018 dell'area: Robotica (robot collaborativi interconnessi e programmabili),"
H2d = "Impatto biennio 2017-2018 dell'area: Cloud Computing (insieme di servizi informatici utilizzabili tramite Internet che consentono                laccesso a software, potenza di calcolo, capacita' di "
H2e = "Impatto biennio 2017-2018 dell'area: Applicazioni web o app (applicazioni accessibili via Internet comprese quelle gestionali)"
H2f = "Impatto biennio 2017-2018 dell'area: Vendite online"
H2g = "Impatto biennio 2017-2018 dell'area: Social Media"
H2h = "Impatto biennio 2017-2018 dell'area: Big Data Analytics (uso di tecniche, tecnologie e software per lanalisi di grandi quantita' di dati)"
H2i = "Impatto biennio 2017-2018 dell'area: Realta' aumentata e realta' virtuale"
H2j = "Impatto biennio 2017-2018 dell'area: Sicurezza informatica"
H2k = "Impatto biennio 2017-2018 dell'area: Altro"
H2l = "Nessun impatto nel biennio 2017-2018 delle aree tecnologiche"
H2m = "Non so"
H3a = "Fattori digitalizzazione 2017-2018: Infrastruttura e connessione in banda ultralarga"
H3b = "Fattori digitalizzazione 2017-2018: Agevolazioni, finanziamenti, incentivi fiscali a sostegno della digitalizzazione"
H3c = "Fattori digitalizzazione 2017-2018: Iniziative digitali della pubblica amministrazione"
H3d = "Fattori digitalizzazione 2017-2018: Capacita' di fare rete attuando modelli di collaborazione con altre imprese e centri di ricerca per la digitalizzazione"
H3e = "Fattori digitalizzazione 2017-2018: Inserimento/sviluppo di nuove competenze digitali"
H3f = "Fattori digitalizzazione 2017-2018: Sviluppo di una strategia di digitalizzazione dellimpresa"
H3g = "Fattori digitalizzazione 2017-2018: Altro"
H3h = "Nessun fattore di digitalizzazione puo' incidere"
H3i = "Non so"
Ateco_2 = "Ateco a due cifre, classificazione Ateco2007 (contiene missing)"
mac = "Macrosettore"
clad4 = "Classe addetti"
reg_ = "21 reg amministrative (BZ=21; TN=22 )"
dom1 = "Primo dominio di stima per la pubblicazione (per 27 attivita' economiche)"
dom2 = "Secondo dominio di stima per la pubblicazione (mac per  clad4)"
dom3_ = "Terzo dominio di stima per la pubblicazione (mac per reg21)"
dom4 = "Dominio relativo al settore ICT che comprende le seguenti attivita' economiche: 261+262+263+264+268+465+582+61+62+631+951"
coeffin = "Peso da utilizzare per riporto all'universo (Asia 2013)"
G2G9_ = "Valore percentuale degli ordini di vendita online"
;
RUN;
PROC FORMAT;
VALUE ric1F /* ricavi_cl */
0= "[0, 20000)"
20000= "[20000, 50000)"
50000= "[50000, 100000)"
100000= "[100000, 200000)"
200000= "[200000, 500000)"
500000= "[500000, 1000000)"
1000000= "[1000000, 2000000)"
2000000= "[2000000, 4000000)"
4000000= "[4000000, 5000000)"
5000000= "[5000000, 10000000)"
10000000= "[10000000, 20000000)"
20000000= "[20000000, 50000000)"
50000000= "[50000000, 200000000)"
200000000= "almeno 200000000"
;
VALUE A12F /* A1 */
0= "no"
1= "si"
;
VALUE B14F /* B1 */
.= "missing"
0= "no"
1= "si"
;
VALUE B2a5F /* B2a */
.= "missing"
0= "no"
1= "si"
;
VALUE B2b6F /* B2b */
.= "missing"
0= "no"
1= "si"
;
VALUE B37F /* B3 */
.= "missing"
0= "no"
1= "si"
;
VALUE B48F /* B4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C19F /* C1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C311F /* C3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C412F /* C4 */
.= "missing"
1= "Inferiore a  2Mbit/s"
2= "Compresa tra 2Mbit/s e meno di 10Mbit/s"
3= "Compresa tra 10Mbit/s e meno di 30Mbit/s"
4= "Compresa tra 30Mbit/s e meno di 100Mbit/s"
5= "Maggiore o uguale a 100 Mbit/s"
;
VALUE C513F /* C5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C614F /* C6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C816F /* C8 */
.= "missing"
0= "no"
1= "si"
;
VALUE C9a17F /* C9a */
.= "missing"
0= "no"
1= "si"
;
VALUE C9b18F /* C9b */
.= "missing"
0= "no"
1= "si"
;
VALUE C9c19F /* C9c */
.= "missing"
0= "no"
1= "si"
;
VALUE C9d20F /* C9d */
.= "missing"
0= "no"
1= "si"
;
VALUE C9e21F /* C9e */
.= "missing"
0= "no"
1= "si"
;
VALUE C9f22F /* C9f */
.= "missing"
0= "no"
1= "si"
;
VALUE C9g23F /* C9g */
.= "missing"
0= "no"
1= "si"
;
VALUE C1024F /* C10a */
.= "missing"
0= "no"
1= "si"
;
VALUE C1025F /* C10b */
.= "missing"
0= "no"
1= "si"
;
VALUE C1026F /* C10c */
.= "missing"
0= "no"
1= "si"
;
VALUE C1027F /* C10d */
.= "missing"
0= "no"
1= "si"
;
VALUE C1128F /* C11a */
.= "missing"
0= "no"
1= "si"
;
VALUE C1129F /* C11b */
.= "missing"
0= "no"
1= "si"
;
VALUE C1130F /* C11c */
.= "missing"
0= "no"
1= "si"
;
VALUE C1131F /* C11d */
.= "missing"
0= "no"
1= "si"
;
VALUE C1132F /* C11e */
.= "missing"
0= "no"
1= "si"
;
VALUE C1133F /* C11f */
.= "missing"
0= "no"
1= "si"
;
VALUE C1234F /* C12a1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1235F /* C12a2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1236F /* C12a3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1237F /* C12a4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1238F /* C12a5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1239F /* C12a6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1240F /* C12a7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1241F /* C12b1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1242F /* C12b2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1243F /* C12b3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1244F /* C12b4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1245F /* C12b5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1246F /* C12b6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1247F /* C12b7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1248F /* C12c1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1249F /* C12c2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1250F /* C12c3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1251F /* C12c4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1252F /* C12c5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1253F /* C12c6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1254F /* C12c7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1255F /* C12d1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1256F /* C12d2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1257F /* C12d3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1258F /* C12d4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1259F /* C12d5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1260F /* C12d6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1261F /* C12d7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1262F /* C12e1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1263F /* C12e2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1264F /* C12e3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1265F /* C12e4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1266F /* C12e5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1267F /* C12e6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1268F /* C12e7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1269F /* C12f1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1270F /* C12f2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1271F /* C12f3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1272F /* C12f4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1273F /* C12f5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1274F /* C12f6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1275F /* C12f7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1276F /* C12g1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1277F /* C12g2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1278F /* C12g3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1279F /* C12g4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1280F /* C12g5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1281F /* C12g6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1282F /* C12g7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1283F /* C12h1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1284F /* C12h2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1285F /* C12h3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1286F /* C12h4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1287F /* C12h5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1288F /* C12h6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1289F /* C12h7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1290F /* C12i1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1291F /* C12i2 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1292F /* C12i3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1293F /* C12i4 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1294F /* C12i5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1295F /* C12i6 */
.= "missing"
0= "no"
1= "si"
;
VALUE C1296F /* C12i7 */
.= "missing"
0= "no"
1= "si"
;
VALUE D197F /* D1 */
.= "missing"
0= "no"
1= "si"
;
VALUE D2a98F /* D2a */
.= "missing"
0= "no"
1= "si"
;
VALUE D2b99F /* D2b */
.= "missing"
0= "no"
1= "si"
;
VALUE E1100F /* E1 */
.= "missing"
0= "no"
1= "si"
;
VALUE E2a101F /* E2a */
.= "missing"
0= "no"
1= "si"
;
VALUE E2b102F /* E2b */
.= "missing"
0= "no"
1= "si"
;
VALUE F1a103F /* F1a */
.= "missing"
0= "no"
1= "si"
;
VALUE F1b104F /* F1b */
.= "missing"
0= "no"
1= "si"
;
VALUE F1c105F /* F1c */
.= "missing"
0= "no"
1= "si"
;
VALUE G1106F /* G1 */
.= "missing"
0= "no"
1= "si"
;
VALUE G4a110F /* G4a */
.= "missing"
0= "no"
1= "si"
;
VALUE G4b111F /* G4b */
.= "missing"
0= "no"
1= "si"
;
VALUE G6a114F /* G6a */
.= "missing"
0= "no"
1= "si"
;
VALUE G6b115F /* G6b */
.= "missing"
0= "no"
1= "si"
;
VALUE G6c116F /* G6c */
.= "missing"
0= "no"
1= "si"
;
VALUE G7a117F /* G7a */
.= "missing"
0= "no"
1= "si"
;
VALUE G7b118F /* G7b */
.= "missing"
0= "no"
1= "si"
;
VALUE G7c119F /* G7c */
.= "missing"
0= "no"
1= "si"
;
VALUE G7d120F /* G7d */
.= "missing"
0= "no"
1= "si"
;
VALUE G7e121F /* G7e */
.= "missing"
0= "no"
1= "si"
;
VALUE G8122F /* G8 */
.= "missing"
0= "no"
1= "si"
;
VALUE G10124F /* G10a */
.= "missing"
0= "no"
1= "si"
;
VALUE G10125F /* G10b */
.= "missing"
0= "no"
1= "si"
;
VALUE G10126F /* G10c */
.= "missing"
0= "no"
1= "si"
;
VALUE G11127F /* G11 */
.= "missing"
0= "no"
1= "si"
;
VALUE G12128F /* G12 */
.= "missing"
1= "Meno dell¿1%"
2= "Tra l¿1% e meno del 5%"
3= "Tra il 5% e meno di 10%"
4= "Tra il 10% e meno di 25%"
5= "Tra il 25% e meno di 50%"
6= "Tra il 50% e meno di 75%"
7= "Dal 75% al 100%"
;
VALUE G13129F /* G13a */
.= "missing"
0= "no"
1= "si"
;
VALUE G13130F /* G13b */
.= "missing"
0= "no"
1= "si"
;
VALUE G14131F /* G14a */
.= "missing"
0= "no"
1= "si"
;
VALUE G14132F /* G14b */
.= "missing"
0= "no"
1= "si"
;
VALUE G14133F /* G14c */
.= "missing"
0= "no"
1= "si"
;
VALUE H1a134F /* H1a */
.= "missing"
0= "no"
1= "si"
;
VALUE H1b135F /* H1b */
.= "missing"
0= "no"
1= "si"
;
VALUE H1c136F /* H1c */
.= "missing"
0= "no"
1= "si"
;
VALUE H1d137F /* H1d */
.= "missing"
0= "no"
1= "si"
;
VALUE H1e138F /* H1e */
.= "missing"
0= "no"
1= "si"
;
VALUE H1f139F /* H1f */
.= "missing"
0= "no"
1= "si"
;
VALUE H1g140F /* H1g */
.= "missing"
0= "no"
1= "si"
;
VALUE H1h141F /* H1h */
.= "missing"
0= "no"
1= "si"
;
VALUE H1i142F /* H1i */
.= "missing"
0= "no"
1= "si"
;
VALUE H1j143F /* H1j */
.= "missing"
0= "no"
1= "si"
;
VALUE H2a144F /* H2a */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2b145F /* H2b */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2c146F /* H2c */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2d147F /* H2d */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2e148F /* H2e */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2f149F /* H2f */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2g150F /* H2g */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2h151F /* H2h */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2i152F /* H2i */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2j153F /* H2j */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2k154F /* H2k */
.= "non scelta tra le cinque possibili"
1= "si"
;
VALUE H2l155F /* H2l */
.= "non scelta tra le cinque possibili"
1= "Nessuna area tecnologica pu¿ avere impatto"
;
VALUE H2m156F /* H2m */
.= "non scelta tra le cinque possibili"
1= "Non so"
;
VALUE H3a157F /* H3a */
.= "non scelto tra i tre possibili"
1= "si"
;
VALUE H3b158F /* H3b */
.= "non scelto tra i tre possibili"
1= "si"
;
VALUE H3c159F /* H3c */
.= "non scelto tra i tre possibili"
1= "si"
;
VALUE H3d160F /* H3d */
.= "non scelto tra i tre possibili"
1= "si"
;
VALUE H3e161F /* H3e */
.= "non scelto tra i tre possibili"
1= "si"
;
VALUE H3f162F /* H3f */
.= "non scelto tra i tre possibili"
1= "si"
;
VALUE H3g163F /* H3g */
.= "non scelto tra i tre possibili"
1= "si"
;
VALUE H3h164F /* H3h */
.= "non scelto tra i tre possibili"
1= "Nessun fattore di digitalizzazione pu¿ incidere"
;
VALUE H3i165F /* H3i */
.= "non scelto tra i tre possibili"
1= "Non so"
;
VALUE $mac167F /* mac */
"M1" = "MACROSETTORE MANIFATTURIERO"
"M2" = "MACROSETTORE ENERGIA"
"M3" = "MACROSETTORE COSTRUZIONI"
"M4" = "MACROSETTORE SERVIZI (NON FINANZIARI)"
;
VALUE $cla168F /* clad4 */
"cl1" = "10-49 addetti"
"cl2" = "50-99 addetti"
"cl3" = "100-249 addetti"
"cl4" = "250 e pi¿ addetti"
;
VALUE $reg169F /* reg_ */
"01" = "Piemonte"
"02" = "Valle d'Aosta"
"03" = "Lombardia"
"04" = "Trentino-Alto Adige"
"05" = "Veneto"
"06" = "Friuli-Venezia Giulia"
"07" = "Liguria"
"08" = "Emilia-Romagna"
"09" = "Toscana"
"10" = "Umbria"
"11" = "Marche"
"12" = "Lazio"
"13" = "Abruzzo"
"14" = "Molise"
"15" = "Campania"
"16" = "Puglia"
"17" = "Basilicata"
"18" = "Calabria"
"19" = "Sicilia"
"20" = "Sardegna"
;
VALUE $dom170F /* dom1 */
"N01" = "Dominio divisioni e gruppi Ateco 2007: 10+11+12"
"N02" = "Dominio divisioni e gruppi Ateco 2007: 13+14+15"
"N03" = "Dominio divisioni e gruppi Ateco 2007: 16+17+18"
"N04" = "Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23"
"N05" = "Dominio divisioni e gruppi Ateco 2007: 24+25"
"N06" = "Dominio divisioni e gruppi Ateco 2007: 26"
"N07" = "Dominio divisioni e gruppi Ateco 2007: 27+28"
"N08" = "Dominio divisioni e gruppi Ateco 2007: 29+30"
"N09" = "Dominio divisioni e gruppi Ateco 2007: 31+32+33"
"N10" = "Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39"
"N11" = "Dominio divisioni e gruppi Ateco 2007: 41+42+43"
"N12" = "Dominio divisioni e gruppi Ateco 2007: 45"
"N13" = "Dominio divisioni e gruppi Ateco 2007: 46"
"N14" = "Dominio divisioni e gruppi Ateco 2007: 47"
"N15" = "Dominio divisioni e gruppi Ateco 2007: 49+50+51+52"
"N16" = "Dominio divisioni e gruppi Ateco 2007: 53"
"N17" = "Dominio divisioni e gruppi Ateco 2007: 55"
"N18" = "Dominio divisioni e gruppi Ateco 2007: 56"
"N19" = "Dominio divisioni e gruppi Ateco 2007: 58"
"N20" = "Dominio divisioni e gruppi Ateco 2007: 59+60"
"N21" = "Dominio divisioni e gruppi Ateco 2007: 61"
"N22" = "Dominio divisioni e gruppi Ateco 2007: 62+63"
"N23" = "Dominio divisioni e gruppi Ateco 2007: 68"
"N24" = "Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74"
"N25" = "Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82"
"N26" = "Dominio divisioni e gruppi Ateco 2007: 79"
"N27" = "Dominio divisioni e gruppi Ateco 2007: 95.1"
;
VALUE $dom173F /* dom4 */
"NO_ICT" = "Non appartiene al Settore ICT"
"SI_ICT" = "Appartiene al settore ICT (Ateco 261, 262, 263, 264, 268, 465, 582, 61, 62, 631, 951)"
;
format ricavi_cl ric1F.;
format A1 A12F.;
format B1 B14F.;
format B2a B2a5F.;
format B2b B2b6F.;
format B3 B37F.;
format B4 B48F.;
format C1 C19F.;
format C3 C311F.;
format C4 C412F.;
format C5 C513F.;
format C6 C614F.;
format C8 C816F.;
format C9a C9a17F.;
format C9b C9b18F.;
format C9c C9c19F.;
format C9d C9d20F.;
format C9e C9e21F.;
format C9f C9f22F.;
format C9g C9g23F.;
format C10a C1024F.;
format C10b C1025F.;
format C10c C1026F.;
format C10d C1027F.;
format C11a C1128F.;
format C11b C1129F.;
format C11c C1130F.;
format C11d C1131F.;
format C11e C1132F.;
format C11f C1133F.;
format C12a1 C1234F.;
format C12a2 C1235F.;
format C12a3 C1236F.;
format C12a4 C1237F.;
format C12a5 C1238F.;
format C12a6 C1239F.;
format C12a7 C1240F.;
format C12b1 C1241F.;
format C12b2 C1242F.;
format C12b3 C1243F.;
format C12b4 C1244F.;
format C12b5 C1245F.;
format C12b6 C1246F.;
format C12b7 C1247F.;
format C12c1 C1248F.;
format C12c2 C1249F.;
format C12c3 C1250F.;
format C12c4 C1251F.;
format C12c5 C1252F.;
format C12c6 C1253F.;
format C12c7 C1254F.;
format C12d1 C1255F.;
format C12d2 C1256F.;
format C12d3 C1257F.;
format C12d4 C1258F.;
format C12d5 C1259F.;
format C12d6 C1260F.;
format C12d7 C1261F.;
format C12e1 C1262F.;
format C12e2 C1263F.;
format C12e3 C1264F.;
format C12e4 C1265F.;
format C12e5 C1266F.;
format C12e6 C1267F.;
format C12e7 C1268F.;
format C12f1 C1269F.;
format C12f2 C1270F.;
format C12f3 C1271F.;
format C12f4 C1272F.;
format C12f5 C1273F.;
format C12f6 C1274F.;
format C12f7 C1275F.;
format C12g1 C1276F.;
format C12g2 C1277F.;
format C12g3 C1278F.;
format C12g4 C1279F.;
format C12g5 C1280F.;
format C12g6 C1281F.;
format C12g7 C1282F.;
format C12h1 C1283F.;
format C12h2 C1284F.;
format C12h3 C1285F.;
format C12h4 C1286F.;
format C12h5 C1287F.;
format C12h6 C1288F.;
format C12h7 C1289F.;
format C12i1 C1290F.;
format C12i2 C1291F.;
format C12i3 C1292F.;
format C12i4 C1293F.;
format C12i5 C1294F.;
format C12i6 C1295F.;
format C12i7 C1296F.;
format D1 D197F.;
format D2a D2a98F.;
format D2b D2b99F.;
format E1 E1100F.;
format E2a E2a101F.;
format E2b E2b102F.;
format F1a F1a103F.;
format F1b F1b104F.;
format F1c F1c105F.;
format G1 G1106F.;
format G4a G4a110F.;
format G4b G4b111F.;
format G6a G6a114F.;
format G6b G6b115F.;
format G6c G6c116F.;
format G7a G7a117F.;
format G7b G7b118F.;
format G7c G7c119F.;
format G7d G7d120F.;
format G7e G7e121F.;
format G8 G8122F.;
format G10a G10124F.;
format G10b G10125F.;
format G10c G10126F.;
format G11 G11127F.;
format G12 G12128F.;
format G13a G13129F.;
format G13b G13130F.;
format G14a G14131F.;
format G14b G14132F.;
format G14c G14133F.;
format H1a H1a134F.;
format H1b H1b135F.;
format H1c H1c136F.;
format H1d H1d137F.;
format H1e H1e138F.;
format H1f H1f139F.;
format H1g H1g140F.;
format H1h H1h141F.;
format H1i H1i142F.;
format H1j H1j143F.;
format H2a H2a144F.;
format H2b H2b145F.;
format H2c H2c146F.;
format H2d H2d147F.;
format H2e H2e148F.;
format H2f H2f149F.;
format H2g H2g150F.;
format H2h H2h151F.;
format H2i H2i152F.;
format H2j H2j153F.;
format H2k H2k154F.;
format H2l H2l155F.;
format H2m H2m156F.;
format H3a H3a157F.;
format H3b H3b158F.;
format H3c H3c159F.;
format H3d H3d160F.;
format H3e H3e161F.;
format H3f H3f162F.;
format H3g H3g163F.;
format H3h H3h164F.;
format H3i H3i165F.;
format mac $mac167F.;
format clad4 $cla168F.;
format reg_ $reg169F.;
format dom1 $dom170F.;
format dom4 $dom173F.;
RUN;
